---
title: "Get one managed customer account"
description: "Retrieve one managed customer directly by its stable relationship ID."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# Get one managed customer account

<p class="docs-lead">Retrieve one managed customer directly by its stable relationship ID.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-get">GET</span><code>/partner-api/v1/accounts/{relationshipId}</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>getPartnerManagedAccount</code></span><a href="/docs/api/v1/partner/accounts/get/index.md">View as Markdown</a></div>

## What this endpoint does

Retrieve one managed customer directly by its stable relationship ID.

## Authentication

Send a one-time RS256 Developer Application assertion in `Authorization: Bearer <application_assertion>`. This assertion is not a Public API access token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/partner-api/v1/accounts/{relationshipId}`

### Parameters

| Name | Location | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- | --- |
| `relationshipId` | path | `string (uuid)` | yes | — | — |

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS "https://public-api.cloudprint.me/partner-api/v1/accounts/$RELATIONSHIP_ID" \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"
```

## Response

**HTTP status:** `200` — Managed Account

### Response fields

`any` — —

### Example response

```json
"string"
```

## Errors

| HTTP status | Description |
| --- | --- |
| `401` | Application assertion is invalid |
| `403` | Partner capability is not granted |
| `404` | Managed Account was not found |
| `422` | Relationship ID is invalid |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/api/v1/partner/accounts/list/"><strong>List managed customer accounts</strong><span>List customer accounts provisioned by the authenticated partner application, including agent and printer health.</span></a>
<a class="docs-card" href="/docs/partner-platform/customer-accounts/"><strong>Provision and manage customer accounts</strong><span>Authenticate Partner API requests, provision managed customer accounts and control their lifecycle safely.</span></a>
<a class="docs-card" href="/docs/api/v1/partner/agents/list/"><strong>List managed customer Agents</strong><span>List every Agent connected to one managed customer, including revoked Agents.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>